Subject: bug#24902: 25.1; C-x = for Unicode

From: Robert Pluim <[email-masked]>
Date: Wed, 26 Jan 2022 14:48:33 +0100

>>>>> On Wed, 26 Jan 2022 14:10:40 +0100, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Mattias Engdegård <[email-masked]> writes:
    >> And I know that you do! What about the new format -- is it good enough
    >> for you, or can you help making it better?

    Lars> U+006F LATIN SMALL LETTER O pt=2938/2942 col=52

    Lars> or

    Lars> U+006F LATIN SMALL LETTER O pt=1913/3297 <1402-3298> col=42

    Lars> I think that's more confusing than what we currently have -- pt and col
    Lars> aren't very clear.  Compared to:

    Lars> Char: o (111, #o157, #x6f) point=1913 of 3222 (59%) <1402-3223> column=42

    Lars> And I have absolutely no idea what the stuff in <> is supposed to tell
    Lars> me, but the current format has that in common with the proposed format.

You only see that when the buffer is narrowed, itʼs
<(point-min)-(point-max)>. Iʼm not sure how useful it is.

Since weʼre now painting this bike-shed, hereʼs my preferred colour:

U+006F 'LATIN SMALL LETTER O' point=2938 of 2942 col=52

I think I could be persuaded that the (59%) stuff should be in there
as well, but thatʼs not a strongly held opinion.

Robert
--